Package com.independentsoft.office.charts

# Class PivotFormat

java.lang.Object
com.independentsoft.office.charts.PivotFormat

public class PivotFormat extends Object
The Class PivotFormat.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PivotFormat()`
  Instantiates a new pivot format.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PivotFormat`
  `clone()`
  `ChartShapeProperties`
  `getChartShapeProperties()`
  Gets the chart shape properties.
  `DataLabel`
  `getDataLabel()`
  Gets the data label.
  `int`
  `getIndex()`
  Gets the index.
  `Marker`
  `getMarker()`
  Gets the marker.
  `TextProperties`
  `getTextProperties()`
  Gets the text properties.
  `void`
  `setDataLabel​(DataLabel dataLabel)`
  Sets the data label.
  `void`
  `setIndex​(int index)`
  Sets the index.
  `void`
  `setMarker​(Marker marker)`
  Sets the marker.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PivotFormat

    public PivotFormat()
    Instantiates a new pivot format.

- ## Method Details

  - ### clone

    public PivotFormat clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getDataLabel

    public DataLabel getDataLabel()
    Gets the data label.
    Returns:
      the data label

  - ### setDataLabel

    public void setDataLabel​(DataLabel dataLabel)
    Sets the data label.
    Parameters:
      `dataLabel` - the new data label

  - ### getIndex

    public int getIndex()
    Gets the index.
    Returns:
      the index

  - ### setIndex

    public void setIndex​(int index)
    Sets the index.
    Parameters:
      `index` - the new index

  - ### getMarker

    public Marker getMarker()
    Gets the marker.
    Returns:
      the marker

  - ### setMarker

    public void setMarker​(Marker marker)
    Sets the marker.
    Parameters:
      `marker` - the new marker

  - ### getChartShapeProperties

    public ChartShapeProperties getChartShapeProperties()
    Gets the chart shape properties.
    Returns:
      the chart shape properties

  - ### getTextProperties

    public TextProperties getTextProperties()
    Gets the text properties.
    Returns:
      the text properties